<template>
  <h1>${message}</h1>

  <form>
    <div>
      <div>
        <label for="dia">Dia Lançamento: </label>
        <input type="date" name="dia" id="id-dia" value.bind="lancamento.dia">
      </div>
      <div>
        <label>Tipo: </label>
        <select value.bind="lancamento.tipo">
          <option value="" disabled>Choose...</option>
          <option repeat.for="tipo of tiposLancamentos" value.bind="tipo">${tipo.toString() == 1 ? "ENTRADA" : "SAIDA"}</option>
        </select><br>
      </div>
      <div>
        <label for="valor">Valor: </label>
        <input type="number" name="valor" id="id-valor" value.bind="lancamento.valor">
      </div>
      <div>
        <label for="conta">Conta: </label>
        <select value.bind="lancamento.conta">
          <option value="" disabled>Choose...</option>
          <option repeat.for="conta of contas" value.bind="conta">${conta.nome}</option>
        </select>
      </div>
    </div>
    <div>
      <button click.delegate="save()">Salvar</button>
    </div>
  </form>
</template>

